## ---- echo=FALSE---------------------------------------------------------
knitr::opts_chunk$set(message = FALSE, warning = FALSE)

## ------------------------------------------------------------------------
library(ggcyto)
dataDir <- system.file("extdata",package="flowWorkspaceData")
gs <- load_gs(list.files(dataDir, pattern = "gs_manual",full = TRUE))
data(GvHD)
fs <- GvHD[subset(pData(GvHD), Patient %in%5 & Visit %in% c(5:6))[["name"]]]

## ------------------------------------------------------------------------
autoplot(fs, x = 'FSC-H')

## ------------------------------------------------------------------------
autoplot(fs, x = 'FSC-H', y = 'SSC-H', bins = 64)

## ---- fig.width = 4, fig.height=3----------------------------------------
autoplot(gs, "CD3+", bins = 64)

## ---- fig.width = 4, fig.height=3----------------------------------------
autoplot(gs, c("CD4", "CD8"), bins = 64)

## ---- fig.height = 4-----------------------------------------------------
gh <- gs[[1]]
nodes <- getNodes(gh, path = "auto")[c(3:9, 14)]
nodes

autoplot(gh, nodes, bins = 64)

## ---- fig.height = 4-----------------------------------------------------
objs <- autoplot(gh, nodes, bins = 64, arrange = FALSE)
length(objs)
class(objs[[1]])
class(objs[[2]])


